.primary {
    color: $white;
    background: url("../img/primary__bg.webp") 50% 50% no-repeat;
    background-size: cover;

    &__body {
        text-align: center;
        padding-top: rem(92);
        padding-bottom: rem(30);
    }

    &__title {
        max-width: rem(750);
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(20);
        margin: 0 auto rem(30) auto;
    }

    &__header {
        font-weight: 700;
        font-size: rem(35);
        line-height: rem(35);
        white-space: nowrap;
        margin-bottom: rem(30);
    }

    &__info {
        font-size: rem(14);
        line-height: rem(20);
        margin-bottom: rem(25);
        position: relative;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        white-space: nowrap;
        justify-content: center;

        &__item {
            position: relative;
            margin-bottom: rem(5);
            padding-right: rem(15);

            &:after {
                right: rem(5);
                top: calc(50% - 3px);
                content: '';
                width: rem(5);
                height: rem(5);
                border-radius: 50%;
                background: rgba(255, 255, 255, 0.5);
                position: absolute;
            }

            &:first-child {
                width: 100%;
                padding-right: 0;

                &:after {
                    display: none;
                }
            }

            &:last-child {
                padding-right: 0;

                &:after {
                    display: none;
                }
            }
        }
    }

    &__buttons {

        &__item {

            &:first-child {
                margin-bottom: rem(20);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__body {
            padding-top: rem(120);
            padding-bottom: rem(100);
        }

        &__title {
            font-size: rem(28);
            line-height: rem(32);
            margin-bottom: rem(40);
        }

        &__header {
            font-size: rem(60);
            line-height: rem(60);
        }

        &__info {
            font-size: rem(16);
            line-height: rem(28);
            margin-bottom: rem(30);

            &__item {
                margin-bottom: 0;
                flex-wrap: nowrap;
                padding-right: rem(36);

                &:after {
                    right: rem(14);
                    top: calc(50% - 4px);
                }

                &:first-child {
                    width: auto;
                    padding-right: rem(36);
                }

                &:last-child {
                    padding-right: 0;
                }
            }
        }

        &__buttons {
            display: flex;
            align-items: center;
            justify-content: center;

            &__item {
                margin: 0 rem(6);

                &:first-child {
                    margin-bottom: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__title {
            font-size: rem(40);
            line-height: rem(48);
            max-width: rem(1000);
        }

        &__header {
            font-size: rem(80);
            line-height: rem(80);
        }

        &__wrap {
            padding-top: rem(175);
            padding-bottom: rem(110);
        }

        &__info {
            font-size: rem(20);
            line-height: rem(25);
        }
    }

}
